{{- if .Values.provisioning.enabled }}
apiVersion: v1
kind: Service
metadata:
  name: {{ include "entkube.fullname" . }}-provisioning
  labels:
    {{- include "entkube.labels" . | nindent 4 }}
    app.kubernetes.io/component: provisioning
spec:
  type: ClusterIP
  ports:
    - port: {{ .Values.provisioning.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    {{- include "entkube.selectorLabels" . | nindent 4 }}
    app.kubernetes.io/component: provisioning
{{- end }}
